BlenderBIM: Struggling to export IFC from Blender

edited April 12 in General

Hello,
I recently installed the IFC export add-on for Blender and tried multiple times to export some of my blender files.
I keep getting errors such as:

"Python: Traceback (most recent call last):
File "C:\Users\PPoinet\AppData\Roaming\Blender Foundation\Blender\2.91\scripts\addons\blenderbim\bim\module\pset\ui.py", line 157, in draw
Data.load(IfcStore.get_file(), oprops.ifc_definition_id)
File "C:\Users\PPoinet\AppData\Roaming\Blender Foundation\Blender\2.91\scripts\addons\blenderbim\libs\site\packages\ifcopenshell\api\pset\data.py", line 20, in load
cls._schema = ifcopenshell.ifcopenshell_wrapper.schema_by_name(file.schema)
AttributeError: 'NoneType' object has no attribute 'schema'

location: :-1"

Can you please let me know if I do anything wrong?
I downloaded the latest version of BlenderBIM and use Blender 2.91.2

Comments

  • Hi @pauldotnet , the error indicates that there is no IFC project in the memory. Following your screen posted in the chat where you show that there is an IFC project in the project tree, my take is that you are opening an old blender file that you had saved with the IFC created inside it.
    If that is the case, it is not compatible with the new versions of BlenderBIM, the ones from January and on, which are not compatible with the old ones. Perhaps you can try to download Decembers version of BlenderBIM, and try to export the ifc there. If you succeed you will be able to import that ifc file in the new BlenderBIM version.

    pauldotnet
  • Hi @Jesusbill , many thanks for the help and advice! Just reinstalled a former version from December and it worked perfectly :)

    Jesusbill
  • Awesome, glad I could help :)

  • Hi, I am having an error with exporting to ifc. message says that there isnt blenderbim addon found. I have recently updated to blenderbim28-210404-py37-win. Attaching screenshot too. I am using blender 2.92. what am I doing wrong.

  • @Arv you are using Archipack's IFC exporter, it seems. Right now, Archipack and the BlenderBIM Add-on are not compatible, due to a number of upgrades that broke compatibility. We are working on reintegration. In the meantime, either use one or the other.

  • ArvArv
    edited April 12

    @Moult said:
    @Arv you are using Archipack's IFC exporter, it seems. Right now, Archipack and the BlenderBIM Add-on are not compatible, due to a number of upgrades that broke compatibility. We are working on reintegration. In the meantime, either use one or the other.

    Thanks Moult.

Sign In or Register to comment.